#include <bits/stdc++.h>
#include <iomanip>

using namespace std;

int
main ()
{
  ios::sync_with_stdio (false);
  cin.tie (NULL);

  string x, y;
  cin >> x;
  cin >> y;
  int lenx = x.length ();
  int leny = y.length ();
  int lenmax = lenx;
  int brojac = 0;
  if (lenmax < leny)
    lenmax = leny;
  for (lenmax, brojac; brojac < lenmax; brojac++)
    {

      //Uzimamo poslednji karakter od oba stringa

      int a = int (x[lenx - brojac] - '0');
      int b = int (y[leny - brojac] - '0');
      int konacanBr = 0;
      cout << " Poslednja cifra 1: "<<  a <<" Poslednja cifra 2: " << b;
      
      //Uporedjivanje i dodavanje
      
      if (a > b){
          
        konacanBr *= 10;
	    konacanBr += a;
	}
	  else if (a == b){
	      
	      konacanBr *=10;
	      konacanBr += a;
	      konacanBr *=10;
	      konacanBr += a;
	  }
        
      else
	{

	    konacanBr *= 10;
	    konacanBr += b;
	}
	cout << konacanBr;

    }




  return 0;
}